Can't upgrade from 0.100.3 to 0.101.2 and can't revert

Below the error lo. Tried to revert back to 0.100.3 but it does not. I am stuck. How can I get back a working configuration?

I use proxmox on a NUC and HASSIO


2019-11-02 23:16:29 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for meross which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2019-11-02 23:16:29 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for entity_controller which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2019-11-02 23:16:29 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for shelly which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2019-11-02 23:16:29 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for smartir which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2019-11-02 23:16:30 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for circadian_lighting which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.setup] Error during setup of component circadian_lighting
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 176, in _async_setup_component
    component.setup, hass, processed_config  # type: ignore
concurrent.futures._base.CancelledError
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.setup] Error during setup of component ffmpeg
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 172, in _async_setup_component
    hass, processed_config
  File "/usr/src/homeassistant/homeassistant/components/ffmpeg/__init__.py", line 61, in async_setup
    await manager.async_get_version()
  File "/usr/src/homeassistant/homeassistant/components/ffmpeg/__init__.py", line 111, in async_get_version
    self._version = await ffversion.get_version()
  File "/usr/local/lib/python3.7/site-packages/haffmpeg/tools.py", line 75, in get_version
    output, _ = await self._loop.run_in_executor(None, proc_func)
concurrent.futures._base.CancelledError
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.components.alarm_control_panel] Error while setting up platform bwalarm
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 150, in _async_setup_platform
    await asyncio.wait_for(asyncio.shield(task), SLOW_SETUP_MAX_WAIT)
  File "/usr/local/lib/python3.7/asyncio/tasks.py", line 435, in wait_for
    await waiter
concurrent.futures._base.CancelledError
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.setup] Error during setup of component api
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 176, in _async_setup_component
    component.setup, hass, processed_config  # type: ignore
concurrent.futures._base.CancelledError
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.setup] Error during setup of component shopping_list
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 172, in _async_setup_component
    hass, processed_config
  File "/usr/src/homeassistant/homeassistant/components/shopping_list/__init__.py", line 87, in async_setup
    yield from data.async_load()
  File "/usr/src/homeassistant/homeassistant/components/shopping_list/__init__.py", line 171, in async_load
    self.items = yield from self.hass.async_add_job(load)
concurrent.futures._base.CancelledError
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.setup] Error during setup of component maxcube
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 176, in _async_setup_component
    component.setup, hass, processed_config  # type: ignore
concurrent.futures._base.CancelledError
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.config_entries] Error setting up entry 192.168.1.12 for mqtt
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 190, in async_setup
    hass, self
  File "/usr/src/homeassistant/homeassistant/components/mqtt/__init__.py", line 649, in async_setup_entry
    result: str = await hass.data[DATA_MQTT].async_connect()
  File "/usr/src/homeassistant/homeassistant/components/mqtt/__init__.py", line 793, in async_connect
    self._mqttc.connect, self.broker, self.port, self.keepalive
concurrent.futures._base.CancelledError
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.components.deconz] Error connecting with deCONZ gateway
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.setup] Error during setup of component pi_hole
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 172, in _async_setup_component
    hass, processed_config
  File "/usr/src/homeassistant/homeassistant/components/pi_hole/__init__.py", line 83, in async_setup
    await pi_hole.async_update()
  File "/usr/src/homeassistant/homeassistant/components/pi_hole/__init__.py", line 128, in async_update
    await self.api.get_data()
  File "/usr/local/lib/python3.7/site-packages/hole/__init__.py", line 37, in get_data
    response = await self._session.get(self.base_url)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/client.py", line 483, in _request
    timeout=real_timeout
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 523, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 859, in _create_connection
    req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 986, in _create_direct_connection
    req=req, client_error=client_error)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 936, in _wrap_create_connection
    return await self._loop.create_connection(*args, **kwargs)  # type: ignore  # noqa
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 941, in create_connection
    await self.sock_connect(sock, address)
  File "/usr/local/lib/python3.7/asyncio/selector_events.py", line 464, in sock_connect
    return await fut
concurrent.futures._base.CancelledError
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.config_entries] Error setting up entry 127.0.0.1 for adguard
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 190, in async_setup
    hass, self
  File "/usr/src/homeassistant/homeassistant/components/adguard/__init__.py", line 71, in async_setup_entry
    version = await adguard.version()
  File "/usr/local/lib/python3.7/site-packages/adguardhome/adguardhome.py", line 167, in version
    response = await self._request("status")
  File "/usr/local/lib/python3.7/site-packages/adguardhome/adguardhome.py", line 107, in _request
    ssl=self.verify_ssl,
  File "/usr/local/lib/python3.7/site-packages/aiohttp/client.py", line 483, in _request
    timeout=real_timeout
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 523, in connect
    proto = await self._create_connection(req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 859, in _create_connection
    req, traces, timeout)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 986, in _create_direct_connection
    req=req, client_error=client_error)
  File "/usr/local/lib/python3.7/site-packages/aiohttp/connector.py", line 936, in _wrap_create_connection
    return await self._loop.create_connection(*args, **kwargs)  # type: ignore  # noqa
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 941, in create_connection
    await self.sock_connect(sock, address)
  File "/usr/local/lib/python3.7/asyncio/selector_events.py", line 464, in sock_connect
    return await fut
concurrent.futures._base.CancelledError
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.setup] Error during setup of component group
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/asyncio/runners.py", line 43, in run
    return loop.run_until_complete(main)
  File "/usr/local/lib/python3.7/asyncio/base_events.py", line 579, in run_until_complete
    return future.result()
  File "/usr/src/homeassistant/homeassistant/__main__.py", line 302, in setup_and_run_hass
    log_no_color=args.log_no_color,
  File "/usr/src/homeassistant/homeassistant/bootstrap.py", line 146, in async_from_config_file
    config_dict, hass, enable_log=False, skip_pip=skip_pip
  File "/usr/src/homeassistant/homeassistant/bootstrap.py", line 91, in async_from_config_dict
    await _async_set_up_integrations(hass, config)
  File "/usr/src/homeassistant/homeassistant/bootstrap.py", line 372, in _async_set_up_integrations
    *(async_setup_component(hass, domain, config) for domain in domains_to_load)
  File "/usr/src/homeassistant/homeassistant/setup.py", line 51, in async_setup_component
    return await task  # type: ignore
  File "/usr/src/homeassistant/homeassistant/setup.py", line 147, in _async_setup_component
    hass, config, integration
  File "/usr/src/homeassistant/homeassistant/config.py", line 736, in async_process_component_config
    p_validated = component_platform_schema(p_config)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 272, in __call__
    return self._compiled([], data)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/validators.py", line 205, in _run
    return self._exec(self._compiled, value, path)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/validators.py", line 285, in _exec
    v = func(path, v)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 817, in validate_callable
    return schema(data)
  File "/usr/src/homeassistant/homeassistant/components/scene/__init__.py", line 46, in _platform_validator
    return platform.PLATFORM_SCHEMA(config)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 272, in __call__
    return self._compiled([], data)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 594, in validate_dict
    return base_validate(path, iteritems(data), out)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 386, in validate_mapping
    cval = cvalue(key_path, value)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/validators.py", line 205, in _run
    return self._exec(self._compiled, value, path)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/validators.py", line 285, in _exec
    v = func(path, v)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 635, in validate_sequence
    cval = validate(index_path, value)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 594, in validate_dict
    return base_validate(path, iteritems(data), out)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 386, in validate_mapping
    cval = cvalue(key_path, value)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/validators.py", line 205, in _run
    return self._exec(self._compiled, value, path)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/validators.py", line 285, in _exec
    v = func(path, v)
  File "/usr/local/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 817, in validate_callable
    return schema(data)
  File "/usr/src/homeassistant/homeassistant/components/homeassistant/scene.py", line 37, in _convert_states
    if isinstance(states[entity_id], dict):
KeyError: 'group.ceiling_lights'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 172, in _async_setup_component
    hass, processed_config
  File "/usr/src/homeassistant/homeassistant/components/group/__init__.py", line 216, in async_setup
    await _async_process_config(hass, config, component)
  File "/usr/src/homeassistant/homeassistant/components/group/__init__.py", line 373, in _async_process_config
    mode=mode,
  File "/usr/src/homeassistant/homeassistant/components/group/__init__.py", line 488, in async_create_group
    await component.async_add_entities([group], True)

e 475, in _check_closed
raise RuntimeError(‘Event loop is closed’)
RuntimeError: Event loop is closed

I am trying to revert back but it gives a “Command completed successfully” after a millisecond, but is clearly doing nothing


core-ssh:~# hassio homeassistant update --version=0.100.3       Processing... Done.rocessing...

Command completed successfully.
core-ssh:~#

This is my config


homeassistant:
  name: Home             # Name of the location where Home Assistant is running
  latitude: !secret latitude
  longitude: !secret longitude
  elevation: 83   # Impacts weather/sunrise data (altitude above sea level in meters)
  unit_system: metric
  customize: !include customize.yaml
  packages: !include_dir_named packages
  whitelist_external_dirs:
     - /config/www
     - /config/python_scripts
     - /share
 # auth_providers:
 #    - type: homeassistant
 #    - type: legacy_api_password
 #      api_password: !secret api_password

frontend:
api:
http:
 # api_password: !secret api_password
 # cors_allowed_origins: 
 #   - http://192.168.1.12:7080
 # trusted_networks:
 #   - 192.168.1.12

  ssl_certificate: /ssl/fullchain.pem
  ssl_key: /ssl/privkey.pem
  base_url: !secret base_url    

############################### INCLUDE ##########################
group: !include groups.yaml
climate: !include climate.yaml
####docker_monitor: !include docker_monitor.yaml
device_tracker: !include device_tracker.yaml
automation: !include automation.yaml
input_select: !include input_select.yaml
recorder: !include recorder.yaml
script: !include script.yaml
scene: !include scene.yaml
sensor: !include sensor.yaml
switch: !include switch.yaml
notify: !include notify.yaml
google_assistant: !include google_assistant.yaml
media_player: !include media_player.yaml
alarm_control_panel: !include alarm.yaml
mqtt_statestream: !include mqtt.yaml
camera: !include camera.yaml
light: !include light.yaml
#image_processing: !include image_processing.yaml
input_boolean: !include input_boolean.yaml
input_number: !include input_number.yaml
entity_controller: !include entity_controller.yaml
binary_sensor: !include binary_sensor.yaml
# custom_updater: !include custom_updater.yaml
history_graph: !include history_graph.yaml
influxdb: !include influxdb.yaml
# shell_command: !include shell_command.yaml
logger: !include logger.yaml
person: !include person.yaml
utility_meter: !include utility_meter.yaml
stream:
lovelace:
  mode: yaml

python_script:
updater:
shopping_list:
ffmpeg:
history:
logbook:
default_config:
config:
hassio:
map:
system_health:
sun:                    # Track the sun

discovery:
  ignore:
    - plex_mediaserver
    - yeelight


conversation:
  intents:
    ShoppingListAddItem:
      - Add {item} to my shopping list


#################################### 
####   ASUS                      ###
####################################


# breaking_changes:

#################################### 
####   HACS                    ###
####################################
# hacs:
#   token: !secret hacs_token


#################################### 
####   ALEXA                     ###
####################################


# api:

alexa:
  smart_home:


#################################### 
####   NETATMO                   ###
####################################
netatmo:
  api_key: !secret netatmo_api_key
  secret_key: !secret netatmo_secret_key
  username: !secret netatmo_username
  password: !secret netatmo_password
  discovery: true


#################################### 
####   CAST                      ###
####################################

#cast:





circadian_lighting:










  
################################################
#    DUCKDNS
################################################
duckdns:
  domain: xxxx
  access_token: xxxx

################################################
#    GOOGLE
################################################

google:
  client_id: !secret google_calendar_client_id
  client_secret: !secret google_calendar_client_secret


################################################
#    HTTP
################################################




##################################################
# INPUT TEXT
##################################################
input_text:
  broadcast_message:
    name: Broadcast Message
    initial: ''
  google_command:
    name: Google command
    initial: ''


##################################################
# IFTT
##################################################
ifttt:
  key: !secret ifttt_api
##############################################################

##################################################
# LIFE360
##################################################

 



################################################
#    MAX CUBE
################################################

maxcube:
  gateways:
    - host: 192.168.1.99
      scan_interval: 600


################################################
#    MEROSS
################################################

 






##################################################
#           PANEL I FRAME
##################################################
panel_iframe:
  hadashboard:
    title: Dashboard
    icon: mdi:tablet
    url: http://192.168.1.12:5665/MainPanel
  terminal:
    title: Terminal
    icon: mdi:console
    url: http://192.168.1.12:7681
  configurator:
    title: Editor
    icon: mdi:wrench
    url: http://192.168.1.12:8321
panel_custom:
  - name: alarm
    sidebar_title: Alarm
    sidebar_icon: mdi:security-home
    config:
      alarmid: alarm_control_panel.house ## USE THE SAME ID AS USED IN YOUR ALARM.YAML

pi_hole:
  host: 192.168.1.12:4865

shelly:
  discovery: true
  devices:  #configure devices
    - id: 05970B
      light_switch: true

smartir:

system_log: 
   max_entries: 50


speedtestdotnet:
   monitored_conditions:
     - ping
     - download
     - upload

telegram_bot:
  - platform: polling
    api_key: !secret telegram_bot_api
    allowed_chat_ids:
 
      - !secret bot_chat_id_errors
      - !secret bot_chat_id_notifications
      - !secret bot_chat_id_alerts
      - !secret bot_chat_id_presence
      - !secret bot_chat_id_debugging
#    trusted_networks:
#      - 192.168.1.12/24
#      - 149.154.167.197/32 # I don't think these telegram IPs are needed here anymore
#      - 149.154.167.198/31
#      - 149.154.167.200/29
#      - 149.154.167.208/28
#      - 149.154.167.224/29
#      - 149.154.167.232/31
##############################################



###################################### Text to speech
tts:
  - platform: google_translate
    service_name: google_say
    cache: true
    cache_dir: /tmp/tts
    time_memory: 300
    language: 'it'
 




vacuum:
  - platform: xiaomi_miio
    host: 192.168.1.199
    token: !secret xiaomi_vacuum_token
##################################### XIAOMI  #####################
 
######################################  ZONES  ###################
weather:
  - platform: met
 # - platform: darksky
 #   api_key: darksky_api_key


yeelight:
    devices:
      ########RGB Yeelight
      192.168.1.200:
        name: Garden North One
      192.168.1.201:
        name: Garden East Two
      192.168.1.202:
        name: Garden North Two
      192.168.1.204:
        name: Garden North Three
      192.168.1.205:
        name: Garden East Porch one
       #######WHITE Yeelight
  #   192.168.1.203:
  #      name: Garden East Porch two #????????????????
      192.168.1.210:
        name: Garden East Porch two




zone:
  name: Home
 
  radius: 100
  icon: mdi:home-variant
zone 2:
  name: School
 
  radius: 100
  icon: mdi:school
#######################################################

zwave:
  usb_path: /dev/ttyACM0 #/dev/serial/by-id/usb-0658_0200-if00  #usb-0658_0200-if00
#

Same question I asked in your other thread. If it has not upgraded what is driving the log? Looks like ha is running, but has some errors. What version is running? It should be near the top of the log file.

Did you read the log?

2019-11-02 23:16:30 WARNING (MainThread) [homeassistant.loader] You are using a custom integration for circadian_lighting which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2019-11-02 23:16:39 ERROR (MainThread) [homeassistant.setup] Error during setup of component circadian_lighting

This should atleast give you a start in solving the issue.

He has errors regarding a lot of components there, not just circadian lighting

What is more, that warning comes up for every custom component.

That warnings on custom component has been present since many many versions, but never had real problems.

I will look into it, by disabling each custom component.

You don’t have those warnings, no one uses those custom component in 101?

They were working fine until 100

Bad wording from me.
It did upgrade to 101.2, but HASSIO stopped (the log stopped populating) and the fronted never showed.

After trying and trying I was able to revert to 100.3

That’s the last part of the log (full log does not fit in this thread, too long)

e 475, in _check_closed
raise RuntimeError(‘Event loop is closed’)
RuntimeError: Event loop is closed

The warning isn’t the issue, but it’s followed by an error on the same component. I have no idea if it’s related but I would try to disable it as one error might cause others.

I disabled all custom component and have the same errors, hassio won’t load the front end, and I think it halts

So the problem lies in my configuration file. Is the below part of configuration correct for 0.101.2 (it works for 0.100)???

homeassistant:
  name: Home             # Name of the location where Home Assistant is running
  latitude: !secret latitude
  longitude: !secret longitude
  elevation: 83    
  unit_system: metric
  customize: !include customize.yaml
  packages: !include_dir_named packages
  whitelist_external_dirs:
     - /config/www
     - /config/python_scripts
     - /share
 

frontend:
api:
http:
 # api_password: !secret api_password
  ssl_certificate: /ssl/fullchain.pem
  ssl_key: /ssl/privkey.pem
  base_url: !secret base_url    

some other folks had problem updating by having api_password in various files, I checked and I have none.
Really no other clue

This is getting wierd

The below configuration WORKS with 0.101.2


homeassistant:
  name: Home             
  latitude: !secret latitude
  longitude: !secret longitude
  elevation: !secret elevation   
  unit_system: metric
  time_zone: Europe/Rome
  customize: !include customize.yaml
  packages: !include_dir_named packages
  whitelist_external_dirs:
     - /config/www
     - /config/python_scripts
     - /share
frontend:
api:
http:
  ssl_certificate: /ssl/fullchain.pem
  ssl_key: /ssl/privkey.pem
  base_url: !secret base_url

If I add this single line to configuration.yaml


groups: !include groups.yaml

and the file groups.yaml contains


dining_room_lights:
  name: Dining room lights
  view: false
  entities:
  - light.chandelier_lights
  - light.ceiling_lights
entrance_lights:
  name: Entrance lights
  view: false
  entities:
  - light.foyer
  - light.foyer_ball_lamp

jim_ceiling_lights:
  name: Jim ceiling lights
  view: false
  entities:
  - switch.light_jim_ceiling_one
  - switch.light_ijim_ceiling_two

jim_online:
  name: Jim devices online_offline
  entities:
    - device_tracker.7802f8f27xxx
    - device_tracker.3059b7143xxx
james_online:
  name: James devices online_offline
  entities:
    - device_tracker.30f7c57a0xxx
    - device_tracker.24a07455xxx

john_online:
  name: John devices online_offline
  entities:
    - device_tracker.ljohn
    - device_tracker.484baab80xxxx

I receive tons of errors in 0.101.2 (it was perfectly working in 0.100.3) … where is the problem???

something about indentaton changed with 0.101 ??

I don’t know if anything changed and I don’t know what the actual ‘rules’ are but I see you have some inconsistent (but clearly not wrong) indenting.

FWIW I always indent like this:

jim_online:
  name: Jim devices online_offline
  entities:
    - device_tracker.7802f8f27xxx
    - device_tracker.3059b7143xxx

Not like this:

jim_ceiling_lights:
  name: Jim ceiling lights
  view: false
  entities:
  - switch.light_jim_ceiling_one
  - switch.light_ijim_ceiling_two

I wouldn’t begin to know if that is the issue and I would be surprised if it were, but it’s worth a try maybe?

I spot similar error to what I get. Can you run hass --script check_config and check if it executes without errors?
I opened a bug report here: https://github.com/home-assistant/home-assistant/issues/28504

How to run that script, under core-ssh?

And before or after the upgrade

I run HA in a virtual environment and run it like hass --script check_config in the venv. You can have a look here https://www.home-assistant.io/docs/configuration/troubleshooting/ about how to run that script in your environment. And yeah, run it after the upgrade.

Ok for whoever has HASSIO, thats the command in core-ssh


hassio homeassistant check

I will do it next weekend, I have a working environment and to check that would need to put HASSIO down for an hour, which will cause me problem with family :smiley: